// 太陽の天球位置表示の制御
using UnityEngine;

public class SolarMap : MonoBehaviour {
    // エディタ調整パラメータ
    public float mag = 32;          // 天球の移動範囲
    public float zoomMag = 1.0f;    // 拡大倍率
    public float zoomOffset = 0.5f; // 拡大率のオフセット量

    MapManager man; // マップマネージャーのアクセス用
    Vector3 pos;    // エディタ初期座標の保持用

    void Start()
    {
        pos = transform.position;   // エディタ設定座標の保持
    }
	
	void Update () {
        if (man == null)
        {
            man = GameObject.Find("MapManager").GetComponent<MapManager>();
        }
        else
        {
            transform.position = pos + new Vector3(man.sunPos.x, man.sunPos.z, 0) * mag;    // 座標更新
            transform.localScale = Vector3.one * (Mathf.Abs(man.sunPos.y) * zoomMag + zoomOffset);  // 拡大率の更新
        }
    }
}
